{% load static %}

<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="{% static 'css/bootstrap.min.css' %}" rel="stylesheet">
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    <link href="{% static 'cropper/css/cropper.min.css' %}" rel="stylesheet">
    <style type="text/css">
        .page-header {
            margin-top: 0;
        }
    </style>

    <title>Profile Picture</title>


    <link rel="stylesheet" href="{% static 'image_upload/css/style.css' %}">


</head>

<body>
<div class="upload">
    <div class="upload-files">
        <header>
            <p>
                <i class="fa fa-cloud-upload" aria-hidden="true"></i>
                <span class="up">up</span>
                <span class="load">load</span>
            </p>
        </header>
        <div class="body" id="drop">
            <i class="fa fa-file-text-o pointer-none" aria-hidden="true"></i>
            <p class="pointer-none"><a href="" id="triggerFile">Browse</a> to
                begin uploading picture</p>
            <form method="post" enctype="multipart/form-data" id="formUpload">
                {% csrf_token %}
                {{ form }}
            </form>
        </div>
        <footer>
            <div class="divider">
                <span><AR>FILES</AR></span>
            </div>
            <div class="list-files">
                <!--   template   -->
            </div>
            <button class="importar">UPDATE FILES</button>
        </footer>
    </div>
</div>


<!-- MODAL TO CROP THE IMAGE -->
<div class="modal fade" id="modalCrop">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
                <h4 class="modal-title">Crop the photo</h4>
            </div>
            <div class="modal-body">
                <img src="" id="image" style="max-width: 100%;">
            </div>
            <div class="modal-footer">
                <div class="btn-group pull-left" role="group">
                    <button type="button" class="btn btn-default js-zoom-in">
                        <span class="glyphicon glyphicon-zoom-in"></span>
                    </button>
                    <button type="button" class="btn btn-default js-zoom-out">
                        <span class="glyphicon glyphicon-zoom-out"></span>
                    </button>
                </div>
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary js-crop-and-upload">Crop and upload</button>
            </div>
        </div>
    </div>
</div>


</body>
<script src="{% static 'image_upload/js/index.js' %}"></script>
<script src="{% static 'cropper/js/jquery-3.1.1.min.js' %}"></script>
<script src="{% static 'cropper/js/bootstrap.min.js' %}"></script>
<script src="{% static 'cropper/js/cropper.min.js' %}"></script>


<div class="modal fade" id="setImage">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
                <h3 class="modal-title" style="color: red">Attention!</h3>
            </div>
            <div class="modal-body">
                <h4 align="center">Upload profile picture to login</h4>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>

<script>
    {% if request.session.image_required %}
        $("document").ready(function () {
            $('#setImage').modal();
        });
    {% endif %}
</script>

<script type="text/javascript">
    $(function () {

        /* SCRIPT TO OPEN THE MODAL WITH THE PREVIEW */
        $("#id_avatar").change(function () {
            if (this.files && this.files[0]) {
                var reader = new FileReader();
                reader.onload = function (e) {
                    $("#image").attr("src", e.target.result);
                    $("#modalCrop").modal("show");
                }
                reader.readAsDataURL(this.files[0]);
            }
        });

        /* SCRIPTS TO HANDLE THE CROPPER BOX */
        var $image = $("#image");
        var cropBoxData;
        var canvasData;
        $("#modalCrop").on("shown.bs.modal", function () {
            $image.cropper({
                viewMode: 2,
                aspectRatio: 1 / 1,
                minCropBoxWidth: 200,
                minCropBoxHeight: 200,
                ready: function () {
                    $image.cropper("setCanvasData", canvasData);
                    $image.cropper("setCropBoxData", cropBoxData);
                }
            });
        }).on("hidden.bs.modal", function () {
            cropBoxData = $image.cropper("getCropBoxData");
            canvasData = $image.cropper("getCanvasData");
            $image.cropper("destroy");
        });

        $(".js-zoom-in").click(function () {
            $image.cropper("zoom", 0.1);
        });

        $(".js-zoom-out").click(function () {
            $image.cropper("zoom", -0.1);
        });

        /* SCRIPT TO COLLECT THE DATA AND POST TO THE SERVER */
        $(".js-crop-and-upload").click(function () {
            var cropData = $image.cropper("getData");
            $("#id_x").val(cropData["x"]);
            $("#id_y").val(cropData["y"]);
            $("#id_height").val(cropData["height"]);
            $("#id_width").val(cropData["width"]);
            $("#formUpload").submit();
        });

    });
</script>

</html>
